/* themestyle.css */

:root {
    /* max widths */
    --max-width-default: 1216px;
    --max-width-xs: calc((4 / 12) * var(--max-width-default));
    --max-width-s: calc((6 / 12) * var(--max-width-default));
    --max-width-m: calc((8 / 12) * var(--max-width-default));
    --max-width-l: calc((10 / 12) * var(--max-width-default));
    --max-width-xl: calc((12 / 12) * var(--max-width-default));
    --max-width-fullwidth: none;
    --max-width-header: 1350px;
    --max-width-footer: 1350px;

    /* gutters */
    --gutter-default: 32px;
    --gutter-xs: 16px;
    --gutter-s: 24px;
    --gutter-m: 32px;
    --gutter-l: 48px;
    --gutter-xl: 64px;

    /* spacing */
    --space-base: 1rem;

    --space-xs: calc(var(--space-base) * 0.5);
    --space-s: var(--space-base);
    --space-m: calc(var(--space-base) * 1.5);
    --space-l: calc(var(--space-base) * 2);
    --space-xl: calc(var(--space-base) * 2.5);
    --space-xxl: calc(var(--space-base) * 3);
    --space-xxxl: calc(var(--space-base) * 3.5);
    --space-xxxxl: calc(var(--space-base) * 4);

    /* styles */
    --radius-xs: 8px;
    --radius-s: 16px;
    --radius-m: 32px;
    --radius-l: 64px;
    --radius-xl: 128px;

    /* fonts */
    --font-heading: 'Plus Jakarta Sans', Helvetica, Arial, sans-serif;
    --font-text: 'Plus Jakarta Sans', Helvetica, Arial, sans-serif;

    --heading-font-weight: 700;
    --body-font-weight: 400;

    --heading-line-height: 1.25;
    --body-line-height: 1.6;

    /* set base values */
    --text-unit: var(--text-base-size);
    --text-base-size: 1.125rem; /* default body size */
    --text-scale-ratio: 1.2;

    /* type scales */
    --text-xs: calc((var(--text-unit) / var(--text-scale-ratio)) / var(--text-scale-ratio));
    --text-s: calc(var(--text-xs) * var(--text-scale-ratio));
    --text-body: var(--text-base-size);
    --text-m: calc(var(--text-s) * var(--text-scale-ratio) * var(--text-scale-ratio));
    --text-l: calc(var(--text-m) * var(--text-scale-ratio));
    --text-xl: calc(var(--text-l) * var(--text-scale-ratio));
    --text-xxl: calc(var(--text-xl) * var(--text-scale-ratio));
    --text-xxxl: calc(var(--text-xxl) * var(--text-scale-ratio));
    --text-xxxxl: calc(var(--text-xxxl) * var(--text-scale-ratio));

    /* colors */
    --bg-body: #ffffff;
    --blue: #102A71;
    --darkblue: #001840;
    --lightblue: #F7FAFD;
    --lightgray: #f9f9f9;
    --yellow: #FFD600 /* #F4CE11 */; 
	--red: #cf0001;

    --heading-color: #001840;
    --text-color-primary: #001840;
    --text-color-secondary: ;
    --text-color-inverted: #ffffff;

    --color-link: ;
    --color-link-hover: ;
    --color-link-visited: ;

    --border-color: #d9d9d9; /* #d0d0d0*/
    --border-width: ;

    /* buttons */
    --btn-font-size: 1rem;
    --btn-padding-x: var(--space-m);
    --btn-padding-y: 10px;
    --btn-radius: var(--radius-l);
    --btn-border: 1.5px solid var(--darkblue);

    /* aspect-ratio */
    --aspect-ratio-square: 1/1;
    --aspect-ratio-landscape: 4/3;
    --aspect-ratio-portrait: 3/4;

    /* header */
    --total-header-height: calc(var(--header-top) + var(--header-bottom));
    --m-total-header-height: 80px;
    --header-top: 90px;
    --header-bottom: 56px;
    --header-height-scrolled: ;
}

@media screen and (min-width: 961px) {
    :root {
        /* spacing */
        --section-padding: 96px;
        --side-padding: 56px;
    }
}

@media screen and (min-width: 671px) and (max-width: 960px) {
    :root {
        --section-padding: 80px;
    }
}

@media screen and (max-width: 960px) {
    :root {
        --section-padding: 64px;
        --side-padding: 24px;

        /* set base values */
        --text-base-size: 1rem; /* 16px */
        --text-scale-ratio: 1.125; 
    }
}

/* ==========================================================================
General
========================================================================== */
@media screen and (max-width: 1024px) {
    main {
        margin-top: var(--m-total-header-height);
    }
}

hr.wp-block-separator {
    width: calc(100% - var(--side-padding) - var(--side-padding));
    max-width: var(--max-width-default);
    margin-inline: auto;
    padding: 0 var(--side-padding);

    border-color: var(--border-color);
    border-style: solid;
    margin-bottom: var(--section-padding);
    border-width: 0.5px;
}

/* Error 404
========================================================================== */


/* Slider - splide.js
========================================================================== */
.splide .splide__arrow {
    background-color: var(--bg-black);
    opacity: 1;
    border-radius: var(--radius-xs);
    transition: all 150ms linear;
}

.splide .splide__arrow img {
    filter: invert(1);
}

.splide .splide__arrow--prev img {
    transform: rotate(180deg);
}

.splide .splide__arrow:hover:not(:disabled) {
    opacity: 0.8;
}

/* Input
========================================================================== */
select {
    background-color: #ffffff;
    border: var(--border-default);
    padding: 8px 16px;
    margin: 0 0 16px 0;
}

input[type="checkbox"] {
    width: 24px;
    height: 24px;
}

input[type="checkbox"], 
input[type="radio"] {
    border: 1px solid var(--border-color);
}

input[type="checkbox"]:checked,
input[type="radio"]:checked {
    background-color: var(--darkblue);
}

input[type="checkbox"]::before,
input[type="radio"]::before {
    box-shadow: inset 1em 1em #ffffff;
}

/* Images
========================================================================== */
.wp-block-image img {
    border-radius: var(--radius-s);
    line-height: 0;
    height: 100%;
    margin-inline: auto;
}

.wp-block-image figcaption,
.wp-element-caption {
    font-size: var(--text-s);
    font-weight: 500;
}

/* Embedded
========================================================================== */
.wp-embed-aspect-16-9 iframe {
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
}

.wp-element-caption {
    margin-top: var(--space-xs);
    text-wrap: pretty;
}

/* RankMath breadcrumbs
========================================================================== */
.breadcrumbs {
    background-color: var(--lightblue);
    padding: var(--space-s) var(--side-padding);
}

.breadcrumbs__inner {
    max-width: var(--max-width-header);
    margin-inline: auto;
}

.rank-math-breadcrumb {
    margin: 0;
}

.rank-math-breadcrumb p {
    display: inline-flex;
    align-items: center;
    flex-wrap: wrap;
    grid-gap: 8px 0;
}

.rank-math-breadcrumb * {
    font-size: var(--text-s);
    font-weight: 500;
}

.rank-math-breadcrumb .separator {
    color: var(--text-color-primary);
    display: inline-flex;
    align-items: center;
    opacity: 0.5;
}

.rank-math-breadcrumb a {
    color: var(--text-color-primary);
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 1px;
}

.rank-math-breadcrumb a:hover {
    color: var(--text-color-primary);
}

.rank-math-breadcrumb :is(span, a, p) .last {
    color: var(--text-color-secondary);
    font-weight: 700;
}

/* Pagination
========================================================================== */
.pagination * {
    font-size: var(--btn-font-size);
    font-weight: 500;
}

.pagination .page-numbers {
    background-color: var(--lightblue);
    border-radius: var(--radius-l);
    color: var(--text-color-secondary);
}

.page-numbers.current,
.page-numbers:hover,
.page-numbers:is(.prev, .next):hover {
    background-color: var(--blue);
    color: var(--text-color-inverted);
}

.page-numbers:is(.prev, .next) {
    color: var(--text-color-inverted);
}

.page-numbers:is(.prev, .next) img {
    filter: invert(0);
    opacity: 0.5;
}
.page-numbers:is(.prev, .next):hover img {
    filter: invert(1);
    opacity: 1;
}

/* Sections
========================================================================== */
.qt-container .qt-section .qt-section__inner {
    grid-gap: var(--gutter-m);
}

:is(.wp-block-heading, p) ~ .qt-section {
    margin-top: var(--gutter-l);
}

.qt-section:last-of-type {
    margin-bottom: 0;
}

@media screen and (max-width: 510px) {
    .qt-container .qt-section .qt-section__inner {
        grid-gap: var(--gutter-s);
    }
}

/* Section with background */
.qt-section.has-background {
    padding: var(--section-padding) var(--side-padding);
}

.qt-container.has-background {
    padding: var(--space-m);
    border-radius: var(--radius-s);
}

/* Latest posts */
.qt-section.latest-posts {
    padding: var(--section-padding) var(--side-padding);
}

/* Areas list */
.areas-list ul {
    list-style: none;
    padding: 0;
    margin: 0;
    column-count: 2;
    grid-gap: var(--gutter-default);
}

.areas-list li {
    padding-inline-start: 0;
    border-bottom: 1px solid var(--border-color);
    margin-bottom: 0;
}

.areas-list a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: all 150ms linear;
    padding-bottom: var(--space-s);
    padding-top: var(--space-s);

}

.areas-list a:hover {
    padding-right: var(--space-s);
}

@media screen and (max-width: 768px) {
    .areas-list ul {
        column-count: 1;
    }
}

/* ==========================================================================
Grids
========================================================================== */
.grid {
    display: grid;
    grid-gap: var(--gutter-l) var(--gutter-m) ;
}

.grid.grid-col-2 {
    grid-gap: var(--gutter-xl)
}

@media screen and (max-width: 800px) {
    .grid {
        grid-gap: var(--gutter-m);
    }

    .grid.grid-col-2 {
        grid-gap:var(--gutter-m);
    }
}

/* ==========================================================================
Buttons
========================================================================== */
.wp-block-button__link {
    font-family: var(--font-text);
    font-weight: 700;
    letter-spacing: 0.25px;
    line-height: var(--body-line-height);

    display: flex;
    align-items: center;
    grid-gap: var(--space-xs);
}

.wp-block-button__link img {
    max-width: 26px;
    height: auto;
}

.wp-block-button__link:has(img) {
    display: flex;
}

/* Filled button 
========================================================================== */
.wp-block-button__link,
.is-style-fill .wp-block-button__link {
    background-color: var(--yellow);
    border-color: var(--yellow);
    color: var(--text-color-primary);
}

.wp-block-button__link:hover,
.is-style-fill .wp-block-button__link:hover {
    background-color: transparent;
    border-color: var(--darkblue);
    color: var(--darkblue);
}

/* Secondary filled button
========================================================================== */
.is-style-fill-secondary .wp-block-button__link {
    background-color: var(--blue);
    border-color: var(--blue);
    color: var(--text-color-inverted);
}

.is-style-fill-secondary .wp-block-button__link:hover {
    background-color: transparent;
    border-color: var(--darkblue);
    color: var(--text-color-primary);
}

/* Outline button
========================================================================== */
.is-style-outline .wp-block-button__link {
    background-color: transparent;
    border-color: var(--bg-black);
    color: var(--text-color-secondary);
}

.is-style-outline .wp-block-button__link:hover {
    background-color: var(--bg-black);
    border-color: var(--bg-black);
    color: var(--text-color-inverted);
}

/* Secondary outline button
========================================================================== */
.is-style-outline-secondary .wp-block-button__link {
    background-color: transparent;
    border-color: var(--bg-white);
    color: var(--text-color-inverted);
}

.is-style-outline-secondary .wp-block-button__link:hover {
    background-color: var(--bg-white);
    border-color: var(--bg-white);
    color: var(--text-color-secondary);
}

/* Jour button 
========================================================================== */
.is-style-fill.jour .wp-block-button__link {
    background-color: var(--yellow);
    border-color: var(--yellow);
    color: var(--text-color-primary);
}

.is-style-fill.jour .wp-block-button__link:hover {
    background-color: transparent;
    border-color: var(--white);
    color: var(--text-color-inverted);
}

.is-style-fill.jour .wp-block-button__link:hover img {
	filter: invert(1) brightness(100);
}

/* ==========================================================================
Typography
========================================================================== */

/* Headings
========================================================================== */
h1 {
    font-size: var(--text-xxxl);
    margin: 0 0 var(--space-s) 0;
}

h2 {
    font-size: var(--text-xl);
    margin: 0 0 var(--space-s) 0;
}

h3 {
    font-size: var(--text-m);
    margin: 0 0 var(--space-xs) 0;
}

h4, h5, h6 {
    font-size: var(--text-base-size);
    margin: 0 0 var(--space-xs) 0;
}

@media screen and (max-width: 960px) {
    h1,
    h2 {
        margin: 0 0 var(--space-s) 0;
    }

    h3,
    h4,
    h5,
    h6 {
        margin: 0 0 var(--space-xs) 0;
    }
}

/* Heading styles */
.is-style-heading-small,
.is-style-heading-medium, 
.is-style-heading-large,
.is-style-heading-xlarge {
    color: var(--heading-color);
}

.is-style-heading-small {
    margin: 0 0 var(--space-xs) 0;
    line-height: var(--heading-line-height);
    font-size: var(--text-base-size);
    font-weight: var(--heading-font-weight);
}

.is-style-heading-medium {
    margin: 0 0 var(--space-xs) 0;
    line-height: var(--heading-line-height);
    font-size: var(--text-m);
    font-weight: var(--heading-font-weight);
}

.is-style-heading-large {
    margin: 0 0 var(--space-m) 0;
    line-height: var(--heading-line-height);
    font-size: var(--text-l);
    font-weight: var(--heading-font-weight);
}

.is-style-heading-xlarge {
    margin: 0 0 var(--space-m) 0;
    line-height: var(--heading-line-height);
    font-size: var(--text-xl);
    font-weight: var(--heading-font-weight);
}

.is-style-remove-heading-margin {
    margin: 0;
}

/* Paragraph text
========================================================================== */
.is-style-caption {
    font-size: var(--text-xs);
}

p.is-style-paragraph-small {
    font-size: var(--text-s);
}

p.is-style-paragraph-ingress {
    font-size: var(--text-m);
    font-weight: 500;
    line-height: 1.4;
}

p.is-style-paragraph-large {
    font-size: var(--text-l);
    font-weight: 700;
}

.is-style-eyebrow {
    font-size: var(--text-base-size);
    margin: 0 0 var(--space-xs) !important;
}

/* Links
========================================================================== */
p a:hover {
    text-decoration-style: dashed;
}

/* Lists
========================================================================== */
ul {
    list-style-image: none;
    list-style-type: unset;
}

li {
    padding-inline-start: 0.2rem;
    margin-bottom: var(--space-xs);
    line-height: inherit;
}

::marker {
    font-size: 110%;
}

/* Tables
========================================================================== */
.wp-block-table {
	overflow-x: scroll !important;
}

/* ==========================================================================
Accordion
========================================================================== */

/* Toggle icon */
.accordion-icon {
    position: relative;
    width: 35px;
    height: 35px;
    cursor: pointer;

    background-color: var(--yellow);
    border-radius: var(--radius-xl);
}

.accordion-icon:before,
.accordion-icon:after {
    content: '';
    display: block;
    background-color: var(--darkblue);
    position: absolute;
    top: 50%;
    left: 0;
    transition: 250ms;
    width: 16px;
    height: 2.2px;
    border-radius: var(--radius-xl);    
}

.accordion-icon:before {
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
}

.accordion-item.is-open .accordion-icon:before {
    transform: translateX(-50%) rotate(-90deg);
    opacity: 0;
}

.accordion-icon:after {
    transform: translate(-50%, -50%) rotate(90deg);
    top: 50%;
    left: 50%;
}
.accordion-item.is-open .accordion-icon:after {
    transform: translateX(-50%) rotate(0);
}

/* FAQ
========================================================================== */
.faq {
    display: grid;
    grid-gap: var(--gutter-s)
}

:is(.wp-block-heading, p) ~ .faq {
    margin-top: var(--gutter-l);
}

.faq .accordion-item {
    background-color: var(--lightblue);
    border-radius: var(--radius-s);
}

.faq .accordion-heading {
    cursor: pointer;
    position: relative;
    display: block;
    font-size: var(--text-body);
    padding: var(--space-s) var(--space-m);
    margin: 0;
    display: grid;
    justify-content: space-between;
    align-items: center;
    grid-gap: var(--gutter-default);
}

.faq .accordion-content {
    max-height: 0;
    transition: max-height 150ms linear;
    overflow: hidden;
    max-width: 100%;

    position: relative;
    display: block;

    padding: 0 var(--space-m);
}

.faq .accordion-item.is-open .accordion-content {
    padding-bottom: var(--space-m);
}

/* ==========================================================================
Card
========================================================================== */
.card *:hover {
    cursor: pointer;
}

.card .wp-block-image {
    margin-bottom: var(--space-s);
}

.card img {
    aspect-ratio: var(--aspect-ratio-landscape);
    object-fit: cover;
    height: 100%;
}

.card-meta {
    display: flex;
    flex-wrap: wrap;
    grid-gap: var(--space-xs);
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--space-s);
}

.card .date {
    font-size: var(--text-s);
    font-weight: 500;
    margin: 0;
}

.card .date::before {
    content: url('../images/calendar.svg');
    padding-right: var(--space-xs);
    vertical-align: middle;
}

.card .title {
    margin-bottom: var(--space-s);
}

.card .excerpt {
    hyphens: auto;
    font-size: 16px;
    color: var(--text-color-primary);
}

.card .read-more {
    font-size: 16px;
    font-weight: 700;
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
}

.card .read-more:hover {
    text-decoration-style: dashed;
}

.filter-grid .card {
    display: none;
}

.filter-grid .card.active {
    display: block;
}

/* ==========================================================================
Post archive
========================================================================== */
.posts h2 {
    margin-bottom: 0;
}

.filter-controls {
    margin-top: var(--space-l);
}

.filter-controls div::-webkit-scrollbar {
    display: none;
}

.filter-controls .wp-block-buttons {
    display: flex;
    flex-wrap: nowrap;
    overflow: auto;
    white-space: nowrap;
    margin-right: calc(var(--side-padding) * -1);
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.filter-controls .wp-block-button__link {
    background-color: var(--lightblue);
    color: var(--text-color-primary);
    border-color: transparent;
}

.filter-controls .wp-block-button__link:hover {
    background-color: var(--blue);
    border-color: var(--blue);
    color: var(--text-color-inverted);
}


.filter-controls .wp-block-button__link.active {
    background-color: var(--blue);
    border-color: var(--blue);
    color: var(--text-color-inverted);
}

.filter-grid-pagination {
    border-top: 1px solid var(--border-color);
    padding-top: var(--space-xxl);
    margin-top: var(--section-padding);
}

/* Post single.php
========================================================================== */
.date {
    font-size: var(--text-base-size);
    font-weight: 500;
    margin: 0;
}

.date::before {
    content: url('../images/calendar.svg');
    padding-right: var(--space-s);
    vertical-align: middle;
}

.post-title {
    margin-bottom: var(--space-l);
}

.post-meta {
    margin-bottom: var(--space-l);
}

.post-image {
    margin-bottom: var(--space-m);
}

.post-image img {
    width: 100%;
}

.post-container .is-style-aspect-ratio-landscape {
    max-width: 100%;
}

.post-container .is-style-aspect-ratio-landscape img {
    width: 100%;
}

.post-content .wp-block-image,
.post-content .wp-block-embed {
    padding: var(--text-l) 0;
}

/* ==========================================================================
Latest posts
========================================================================== */
.qt-section.latest-posts {
    background-color: var(--lightblue);
    margin-bottom: 0;
}

.qt-section.latest-posts .grid {
    grid-gap: var(--gutter-l) var(--gutter-m);
}

@media screen and (max-width: 800px) {
    .qt-section.latest-posts .grid {
        grid-gap: var(--gutter-m);
    }
}

/* ==========================================================================
Testimonials
========================================================================== */

/* ==========================================================================
CPT - Custom post types
========================================================================== */

/* CPT - Jobs
========================================================================== */

/* ==========================================================================
Forms
========================================================================== */
.wpcf7-form {
    margin-top: 0;
    grid-gap: var(--gutter-s);
}

/* Text and fields
========================================================================== */
.wpcf7-form label {
    color: var(--text-color-primary);
    font-size: var(--text-s);
    font-weight: 500;
    margin-bottom: var(--space-xs);
}

.wpcf7-form :is(select, textarea, input):focus {
    border-color: var(--blue);
}

.wpcf7-form p span :is(select, textarea, input:not([type="checkbox"])) {
    border: 1px solid var(--border-color);
    background-color: #ffffff;
    padding: 10px var(--space-xs);
    font-size: initial;
}

.wpcf7-form p {
    grid-gap: 0;
}

.wpcf7-form p:nth-of-type(n + 7) {
    grid-column: 1/3;
}

.wpcf7-form p:nth-of-type(1), 
.wpcf7-form p:nth-of-type(2) {
    /*grid-column: 1/-1;*/
}

@media screen and (max-width: 670px) {
    .wpcf7-form p {
        grid-column: 1/3;
    }
}

/* Submit
========================================================================== */
.wpcf7-form input[type="submit"],
.wpcf7-form input[type="submit"]:disabled {
    background-color: var(--blue);
    padding: var(--btn-padding-y) var(--btn-padding-x);
    border-radius: var(--btn-radius);
    border: var(--btn-border);
    border-color: var(--blue);
    font-size: var(--btn-font-size);
    line-height: var(--body-line-height);
    font-weight: 700;
    letter-spacing: 0.25px;
    font-family: var(--text-font);
    color: var(--text-color-inverted);
}

.wpcf7-form input[type="submit"]:hover {
    background-color: transparent;
    color: var(--color-text-primary);
    border-color: var(--blue);
}

/* Acceptance
========================================================================== */
.wpcf7-acceptance label {
    align-items: baseline;
}

.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label, 
.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label a {
    line-height: normal;
}

.wpcf7-form .acceptance, 
.wpcf7-form .acceptance a {
    font-size: 15px;
    line-height: inherit;
}

.form-jobapplication.wpcf7-form p:nth-of-type(1),
.form-jobapplication.wpcf7-form p:nth-of-type(4), 
.form-jobapplication.wpcf7-form p:nth-of-type(5), 
.form-jobapplication.wpcf7-form p:nth-of-type(6) {
    grid-column: 1/-1;
}

/* ==========================================================================
Header and navigation
========================================================================== */

/* Header
========================================================================== */
.header {
    position: fixed;
    z-index: 100;
    top: 0;
    width: 100%;
    height: auto;
    transition: all 200ms linear;
    box-shadow: none;
    background-color: var(--blue);
}

.header.is-scrolled {
    height: var(--header-height-scrolled);
}

.header .divider {
    height: 1px;
    width: 100%;
    background-color: rgb(255 255 255 / 30%);
}

.header-buttons {
    width: fit-content;
	display: flex;
	gap: 1.5rem;
}

.header-buttons .wp-block-button__link:hover {
    border-color: #ffffff;
    color: var(--text-color-inverted);
}
.header-buttons .wp-block-button__link:hover img {
    filter: brightness(0) invert(1);
}

.header-top .header-nav-container {
    max-width: calc(var(--max-width-header) + 2 * var(--side-padding));
    margin-inline: auto;
    display: grid;
    grid-template-columns: 1fr auto;
    justify-content: space-between;
    align-items: center;
    grid-gap: var(--gutter-default);
    padding: var(--space-s) var(--side-padding);
}

.header-bottom .header-nav-container {
    max-width: calc(var(--max-width-header) + 2 * var(--side-padding));
    margin-inline: auto;
    padding: 0 var(--side-padding);
}

@media only screen and (max-width: 1024px) {
    .header-top .header-nav-container {
        grid-template-columns: 1fr auto auto;
    }

    .header-bottom,
    .header .divider {
        display: none;
    }
}

@media only screen and (max-width: 961px) {
	
	.header-top .header-buttons a {
		font-size: 0;
		display: block;
		padding: var(--btn-padding-y);
    }
	
}

@media only screen and (max-width: 510px) {
    .header-top .header-nav-container {
        grid-template-columns: 1fr auto auto;
    }
}

/* Header logo
========================================================================== */
.header-logo {
    width: 120px;
    max-width: 100%;
    transition: all 250ms linear;
}

.header-logo a {
    display: block;
    border: none;
}

.header-logo img {
    vertical-align: middle;
    height: auto;
    width: 100%;
}

@media screen and (max-width: 1024px) {
    .header-logo {
        width: 100px;
    }
}

/* Header menu
========================================================================== */
.menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu-item {
    padding: 0;
    margin: 0;
}

.menu-list li a {
    font-weight: 500;
    font-size: var(--text-s);
    color: var(--heading-clr);
    text-decoration: none;
    border: none;
}

.menu-item > a {
    transition: all 150ms linear;
}

/* Desktop menu
========================================================================== */
.desktop-menu {
    position: relative;
    display: flex;
    justify-content: flex-start;
    margin-left: calc(var(--space-m) * -1);
}

.desktop-menu .menu-list {
    display: flex;
}

.desktop-menu .menu-list > li {
    padding: 0;
}

.desktop-menu .menu-item a {
    font-weight: 400;
    color: var(--text-color-inverted);
    font-size: var(--text-s);
    padding: var(--space-s) var(--space-m);
}

.desktop-menu .menu-item a:hover {
}

@media only screen and (max-width: 1024px) {
    .desktop-menu {
        display: none;
    }
}

/* Hamburger menu
========================================================================== */
.hamburger-menu {
    margin-top: var(--total-header-height);
    padding-bottom: var(--total-header-height);
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    height: 100%;
    width: 100%;
    z-index: -1;
    box-sizing: border-box;
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--lightblue);
    opacity: 0;
    visibility: hidden;
    transform: scale(.9);
    will-change: transform;
    transition: opacity 0.25s ease-in-out, transform 0.25s ease-in-out, visibility 0.25s ease-in-out, max-height 0s linear 0.25s, -webkit-transform 0.25s ease-in-out;
}

.hamburger-menu.is-open {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
    transition: opacity 0.25s cubic-bezier(0, 1, 0.4, 1), visibility 0.25s linear, -webkit-transform 0.25s cubic-bezier(0.18, 1.25, 0.4, 1);
}

.hamburger-menu-inner {
    width: 100%;
    max-width: var(--wd-container-header);
    margin: 0 auto;
    padding: var(--space-m) var(--side-padding);
}

.hamburger-menu .menu-list > li a {
    padding: var(--space-s) 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    line-height: normal;
	border-bottom: 1px solid var(--border-color);
    font-size: var(--text-base-size);
}

.hamburger-menu .menu-list > li a:hover {
}

/* Hamburger icon */
.hamburger-icon {
    display: none;
    position: relative;
    width: 35px;
    height: 35px;
    cursor: pointer;
    transition: all 200ms linear;
    align-items: center;
}

.hamburger-icon span {
    width: 35px;
    height: 1.5px;
    background-color: #ffffff;
    transition: all 200ms linear;
}

.hamburger-icon span::before,
.hamburger-icon span::after {
    content: '';
    position: absolute;
    width: 35px;
    height: 1.5px;
    background-color: #ffffff;
    transition: all 200ms linear;
}

.hamburger-icon span::before {
    transform: translateY(-12px);
}

.hamburger-icon span::after {
    transform: translateY(12px);
}

.hamburger-icon.is-open span {
    transform: translateX(0);
    background-color: transparent;
}

.hamburger-icon.is-open span::before {
    transform: rotate(45deg);
    top: 0;
}

.hamburger-icon.is-open span::after {
    transform: rotate(135deg);
    top: 0;
}

@media only screen and (max-width: 1024px) {
    .hamburger-icon {
        display: flex;
    }
	
	.hamburger-menu {
		margin-top: var(--m-total-header-height);
	}
}

/* Hamburger animation */
.hamburger-icon span::before {
    transform: translateY(-12px);
}

.hamburger-icon span::after {
    transform: translateY(12px);
}

/* Submenu dropdown
========================================================================== */
.sub-menu {
    list-style: none;
    margin: 0;
}

.menu-list > li.menu-item-has-children:not(.mega-menu) {
    position: relative;
}

.menu-list > li.menu-item-has-children:not(.mega-menu) .sub-menu {
    line-height: 2;
}

.menu-list > li.menu-item-has-children > a::after {
    content: '';
    background-image: url('../images/chevron-down.svg');
    background-repeat: no-repeat;
    background-size: contain;
    width: 12px;
    height: 7px;
    margin-left: var(--space-s);
    display: inline-block;
    transition: transform 150ms linear;
    margin-bottom: 2px;
    filter: invert(1);
}

@media screen and (max-width: 1024px) {
	.menu-list > li.menu-item-has-children > a::after {
		filter: invert(0);
	}
}

/* Desktop submenu */
.desktop-menu .sub-menu {
    display: none;
    position: absolute;
    left: 0;
    background-color: var(--lightblue);
    list-style: none;
    width: max-content;
    max-height: calc(100vh - var(--header-height) - var(--header-bottom-height));
    padding: var(--space-s) var(--space-m);
    box-shadow: none;
    border-radius: 0;
    z-index: 1;
}

.desktop-menu .sub-menu .sub-menu {
    position: inherit;
    padding: unset;
}

.desktop-menu .sub-menu a {
    display: initial;
    line-height: normal;
    padding: unset;
    font-size: var(--text-s);
    font-weight: 400;
    color: var(--text-color-primary);
}

.desktop-menu .menu-item-has-children:hover .sub-menu {
    display: grid;
}

/* Hamburger submenu */
.hamburger-menu .sub-menu {
    overflow: hidden;
    max-height: 0;
    transition: max-height 150ms linear;
    padding-left: var(--space-m);
}

.hamburger-menu .sub-menu.is-open li {
    /*border-bottom: 1px solid #e5e5e5;*/
    font-size: 16px;
}

.hamburger-menu .sub-menu .menu-list > li a {
    font-size: var(--text-base-size);
}

.hamburger-menu .sub-menu li a {
    font-weight: 400;
}

.hamburger-menu li.menu-item-has-children a.is-open::after  {
    transform: rotate(-180deg);
}

/* ==========================================================================
Footer
========================================================================== */
footer {
    background-color: var(--blue);
}

.footer-container {
    max-width: var(--max-width-footer);
    margin-inline: auto;
    display: grid;
    grid-gap: var(--gutter-default);
}

/* Footer top
========================================================================== */
.footer-top {
    padding: var(--space-xxxxl) var(--side-padding);
}

.footer-top .footer-container {
    grid-template-columns: 3.5fr repeat(4, 2fr);
    grid-gap: var(--gutter-xl);
}

@media screen and (max-width: 1024px) {
    .footer-top .footer-container {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        grid-gap: var(--gutter-l);
    }
}

@media screen and (max-width: 960px) {
    .footer-top .footer-container {
        grid-template-columns: repeat(3, minmax(0, 1fr));
        grid-gap: var(--gutter-l);
    }
}

@media screen and (max-width: 671px) {
    .footer-top .footer-container {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        grid-gap: var(--gutter-l);
    }

    .footer-top .footer-col:first-of-type {
        grid-column: 1/-1;
    }
}

@media screen and (max-width: 380px) {
    .footer-top .footer-container {
        grid-template-columns: 1fr;
        grid-gap: var(--gutter-l);
    }
}

/* Footer logo
========================================================================== */
.footer-logo * {
    border: none;
}

.footer-logo {
    margin-bottom: var(--space-l);
}

.footer-logo img {
	width: 160px;
    height: auto;
}

/* Footer text and navigation
========================================================================== */
.footer * {
    color: var(--text-color-inverted);
    font-size: var(--text-s);
}

p.footer-heading {
    text-transform: uppercase;
    font-size: var(--text-s);
    letter-spacing: 1px;
    margin-bottom: var(--space-s);
    font-weight: 500;
    color: rgb(255 255 255 / 30%);
}

.footer .menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer .menu-item {
    padding-left: 0;
    margin-bottom: var(--space-s);
}

.footer .menu-item a:hover {
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
}

.footer p a {
    text-decoration-thickness: 1px;
}

.footer .policys a {
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
}

.footer .policys a:hover {
    text-decoration-style: dashed;
}

.footer .policys a:not(:last-of-type) {
    margin-right: var(--space-m);
}

/* Footer social icons
========================================================================== */
.footer .social-icons {
    display: flex;
    flex-direction: row;
    grid-gap: var(--gutter-xs);
}

.footer .social-icons a {
    background-color: var(--yellow);
    width: 40px;
    height: 40px;
    border-radius: var(--radius-l);
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer .social-icons img {
    height: 20px;
    width: auto;
}

@media screen and (max-width: 671px) {
    .footer .social-icons {
        display: flex;
        flex-direction: row;
        grid-gap: var(--gutter-xs);
        justify-content: center;
        margin-top: var(--space-xs);
    }
}

/* Footer bottom
========================================================================== */
.footer-divider {
    height: 1px;
    width: 100%;
    background: rgb(255 255 255 / 30%);
}

.footer-bottom * {
    font-size: var(--text-s);
    font-weight: 400;
}

.footer-bottom {
    padding: var(--space-s) var(--side-padding);
}

.footer-bottom .footer-container {
    grid-template-columns: repeat(3, auto);
    align-items: center;
    justify-content: space-between;
}

@media screen and (max-width: 671px) {
    .footer-bottom .footer-container {
        grid-template-columns: minmax(0, 1fr);
        grid-gap: var(--gutter-xs);
        text-align: center;
    }
}

/* ==========================================================================
Gutenberg editor
========================================================================== */

/* Gutenberg styles
========================================================================== */

/* Intro */
.is-style-intro-section .qt-section__inner {
    border-bottom: 1px solid var(--border-color);
    padding-bottom: var(--section-padding);
}

.is-style-intro-section .qt-container {
    max-width: var(--max-width-m);
    margin-left: 0;
}

/* Hero & Subhero */
.qt-section.is-style-hero,
.qt-section.is-style-subhero {
    padding: 0 0 var(--section-padding);
}

.qt-section.is-style-hero .qt-section__inner,
.qt-section.is-style-subhero .qt-section__inner {
    max-width: none;
}

.is-style-hero .wp-block-cover {
    height: calc(100vh - var(--total-header-height));
    min-height: 700px;
    align-items: flex-start;
	padding: var(--section-padding) var(--side-padding);
}

.is-style-hero .wp-block-cover .qt-container {
    max-width: 700px;
}

.is-style-subhero .wp-block-cover {
    min-height: 400px;
}

@media screen and (max-width: 670px) {
    .is-style-subhero .wp-block-cover {
        min-height: 320px;
    }
}

/* FAQ - two columns with border */
.is-style-faq-2-cols .qt-section__inner {
    grid-template-columns: 5fr 7fr;
    grid-gap: var(--gutter-xl);
}

@media screen and (max-width: 730px) {
    .is-style-faq-2-cols .qt-section__inner {
        grid-template-columns: 1fr;
        grid-gap: var(--gutter-m);
    } 
}

/* CTA - contact form */
.qt-section.is-style-cta-form {
    /* margin-bottom: 0; */
}

.is-style-cta-form .qt-section__inner {
    grid-template-columns: 5fr 7fr;
    grid-gap: var(--gutter-xl);
}

@media screen and (max-width: 730px) {
    .is-style-cta-form .qt-section__inner {
        grid-template-columns: 1fr;
        grid-gap: var(--gutter-l);
    } 
}

/* CTA - text and list */
.qt-section.is-style-cta {
    grid-gap: var(--gutter-l);
}

.is-style-cta p {
    max-width: var(--max-width-xs);
    font-size: var(--text-m);
    font-weight: 500;
    line-height: var(--heading-line-height);
}

.is-style-cta ul {
    list-style: none;
    font-size: var(--text-m);
    padding: 0;
}

.is-style-cta li {
    padding-inline-start: var(--space-xxl);
    line-height: normal;
    margin-bottom: var(--space-s);
}

.is-style-cta li::before {
    content:  url('../images/checkbox.svg');
    vertical-align: middle;
    padding-right: var(--space-s);
    margin-left: calc(var(--space-xxl) * -1);
}

@media screen and (max-width: 800px) {
    .is-style-cta .grid {
        grid-gap: var(--gutter-l);
    }
}

/* Custom Gutenberg color palette
========================================================================== */
.has-text-inverted-color {
    color: var(--text-color-inverted);
}

.has-yellow-background-color {
    background-color: var(--yellow);
}
.has-yellow-color {
    color: var(--yellow);
}

.has-lightblue-background-color {
    background-color: var(--lightblue);
}

.has-blue-background-color {
    background-color: var(--blue);
}
.has-blue-color {
    color: var(--blue);
}

.has-darkblue-background-color {
    background-color: var(--darkblue);
}
.has-darkblue-color {
    color: var(--darkblue);
}

/* ==========================================================================
WP dashboard and Gutenberg editor
========================================================================== */

/* Admin bar
========================================================================== */
@media screen and (max-width: 1024px) {
    .admin-bar .hamburger-menu {
        margin-top: calc(var(--m-total-header-height) + 34px);
        padding-bottom: calc(var(--m-total-header-height) + 34px);
    }
}

@media screen and (max-width: 782px) {
    .admin-bar .hamburger-menu {
        margin-top: calc(var(--m-total-header-height) + 46px);
        padding-bottom: calc(var(--m-total-header-height) + 46px);
    }
}